#include "StdAfx.h"
#include "commongdiobject.h"

/////////////////////////////////////////////////////////////////////////////
//	共通GDIオブジェクト
/////////////////////////////////////////////////////////////////////////////
CCommonGDIObject::CCommonGDIObject(void)
{
//	ブラシ
	m_bWhite.CreateSolidBrush(TEXT_COLOR_WHITE);

//	ペン
	m_pBlue.CreatePen(PS_SOLID,1,TEXT_COLOR_BLUE);
	m_pGray.CreatePen(PS_SOLID,1,TEXT_COLOR_GRAY);
	m_pBlack.CreatePen(PS_SOLID,1,TEXT_COLOR_BLACK);
	m_pLight.CreatePen(PS_SOLID,1,TEXT_COLOR_LIGHT);
	m_pRed.CreatePen(PS_SOLID,1,TEXT_COLOR_RED);

	//	フォント
	m_fBold.CreateFont(12,0,0,0,FW_BOLD,FALSE,FALSE,FALSE,
							SHIFTJIS_CHARSET,OUT_DEFAULT_PRECIS,CLIP_DEFAULT_PRECIS,
							DEFAULT_QUALITY,DEFAULT_PITCH,"");
	m_fNormal.CreateFont(12,0,0,0,FW_NORMAL,FALSE,FALSE,FALSE,
							SHIFTJIS_CHARSET,OUT_DEFAULT_PRECIS,CLIP_DEFAULT_PRECIS,
							DEFAULT_QUALITY,DEFAULT_PITCH,"");
	m_fLarge.CreateFont(24,0,0,0,FW_NORMAL,FALSE,FALSE,FALSE,
							SHIFTJIS_CHARSET,OUT_DEFAULT_PRECIS,CLIP_DEFAULT_PRECIS,
							DEFAULT_QUALITY,DEFAULT_PITCH,"");
}

CCommonGDIObject::~CCommonGDIObject(void)
{
}


/////////////////////////////////////////////////////////////////////////////
//	フォント自動選択解除
/////////////////////////////////////////////////////////////////////////////
CFontSelector::CFontSelector(CDC *dc,CFont &font)
{
	m_oldFont = dc->SelectObject(&font);
	m_curDC = dc;
}

CFontSelector::~CFontSelector(void)
{
	m_curDC->SelectObject(m_oldFont);
}

/////////////////////////////////////////////////////////////////////////////
//	ペン自動選択解除
/////////////////////////////////////////////////////////////////////////////
CPenSelector::CPenSelector(CDC *dc,CPen &pen)
{
	m_oldPen = dc->SelectObject(&pen);
	m_curDC = dc;
}

CPenSelector::~CPenSelector(void)
{
	m_curDC->SelectObject(m_oldPen);
}

